Subject: bug#21526: 24.5; prolog-mode: broken indentation for if-then-else construct

From: Stefan Monnier <[email-masked]>
Date: Sun, 25 Oct 2015 16:01:43 -0400

> I reported these issues in the hope that you can modify the SMIE-based
> indentation to be more useful in practical situations.

Right, and I've been doing that so far.  But you can't expect this to
lead to a 100% bug-for-bug reproduction of the old behavior.
Some changes are real regressions, while others (like this one) are much
more debatable.

The debatable ones, not only may need a config var, but more importantly,
have much lower priority.  IOW patches welcome.

> please do restore the original behaviour, or at least enable it by
> default via a flag.

Re-adding the old code and providing a "use-smie" flag would just offer
the user the choice between 2 half-broken options while adding more
maintenance work in the long run.
This said, if you really need it, Stefan Bruda's mode still works in
Emacs-25, AFAIK.

        Stefan